%define bname tcerl
%define oname %bname-drv
%define pname %{bname}drv
Name: erlang-%oname
Version: 1.3.1
Release: alt3
Summary: Erlang linked-in driver for Tokyo Cabinet
License: Open Source
Group: Development/Other
URL: http://code.google.com/p/%bname/
Source: %pname-%version.tar
Provides: %oname = %version-%release
Requires: erlang-otp-common
Requires: libtokyocabinet >= 1.3.1
Packager: Led <led@altlinux.ru>

BuildRequires(pre): rpm-build-erlang
BuildRequires: gcc-c++
BuildRequires: erlang-devel
BuildRequires: libtokyocabinet-devel >= 1.3.1

%description
Erlang linked-in driver for Tokyo Cabinet.


%prep
%setup -n %pname-%version


%build
%configure \
    --libdir=%_otplibdir/%bname-%version/priv/lib \
    --disable-static \
    --enable-dependency-tracking
%make_build


%install
%make_install DESTDIR=%buildroot install


%files
%doc AUTHORS COPYING ChangeLog
%dir %_otplibdir/%bname-*
%dir %_otplibdir/%bname-*/priv
%dir %_otplibdir/%bname-*/priv/lib
%_otplibdir/%bname-*/priv/lib/*.so


%changelog
* Mon Dec 15 2008 Led <led@altlinux.ru> 1.3.1-alt3
- rebuild with libtokyocabinet.so.7

* Tue Sep 09 2008 Led <led@altlinux.ru> 1.3.1-alt2
- rebuild with libtokyocabinet.so.5

* Fri Aug 01 2008 Led <led@altlinux.ru> 1.3.1-alt1
- 1.3.1

* Mon Jul 28 2008 Led <led@altlinux.ru> 1.2.5f-alt2
- rebuilt with libtokyocabinet.so.4

* Sun Jul 27 2008 Led <led@altlinux.ru> 1.2.5f-alt1
- initial build
